Subject: RE: PaceEntryOrigin

From: "David Orchard" <[email-masked]>
Date: Mon, 5 Jul 2004 15:38:02 -0700

Here here.  A big +1.

I personally would really like to see strongly typed links, optionally based upon XLink.  Then the writing of entries etc. can be made easier because it can mandate a type of link using Schema constructs, ie <element ref="EditLink" minOccurs="1"> or some such.  I don't care much whether XLink is used, but I'd really like to have strongly typed links where the type is known using Schema constructs rather than something re-invented (like rel).  

The whole approach of "bottom-typing" where the type of the thing is known by the contents of the leaf nodes leaves a strongly-typed guy like me with the whillies.  For the record, I also recall Tim Bray voting for "use Xlink" at a TAG meeting in http://www.w3.org/2002/09/24-tag-summary#xlinkScope-23 :-)

Cheers,
Dave

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dare Obasanjo
> Sent: Monday, July 05, 2004 9:50 AM
> To: Eric Scheid; Atom Syntax
> Subject: Re: PaceEntryOrigin
> 
> 
> 
> --- Eric Scheid <[email-masked]> wrote:
> > 
> > On 6/7/04 1:39 AM, "Robert Sayre"
> > <[email-masked]> wrote:
> > 
> > > As do I. The other mechanisms that have been
> > proposed (xlink, rdf/xml, etc)
> > > are all capable of handling unknown link types.
> > 
> > You do realise that xlink has much more complicated
> > semantics of linking,
> > right? For example, it has an attribute 'type' which
> > could have values of
> > "simple", "extended", "locator", "arc", "resource",
> > "title", or "none". Then
> > there are the other attributes like 'actuate'.
> > 
> > Do we really want to require atom applications to
> > handle such a complicated
> > thing?
> 
> As link is currently being used in Atom it is quite
> USELESS for aggregator authors to use it to do
> anything meaningful with unknown links. At list with
> XLink it allows finer grained semantics about the link
> to be passed around besides title and URI. 
> 
> The simplicity you claim currently exists is due to
> link being horribly underspecified not from some
> elegant simplicity. 
> 
> Personally I think th etime has come to scale bank
> this overuse of link and muddy semantics it
> introduces. Atom is supposed to be a tightly specified
> spec that helps aggregator authors. The current usage
> of the link elements makes a mockery of that claim. 
> 
> 
> 
> =====
> THINGS TO DO IF I BECOME AN EVIL OVERLORD #95
> My dungeon will have its own qualified medical staff complete 
> with bodyguards. That way if a prisoner becomes sick and his 
> cellmate tells the guard it's an emergency, the guard will 
> fetch a trauma team instead of opening up the cell for a look.
> 
> 
> 		
> __________________________________
> Do you Yahoo!?
> Yahoo! Mail - 50x more storage than other providers!
> http://promotions.yahoo.com/new_mail
> 
>